AlertGroups
Retrieves an alert group
Retrieves a specific alert group by id
GET
/
v1
/
alert_groups
/
{id}
Retrieves an alert group
curl --request GET \
--url https://api.rootly.com/v1/alert_groups/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"type": "alert_groups",
"attributes": {
"name": "<string>",
"description": "<string>",
"condition_type": "<string>",
"time_window": 123,
"created_at": "<string>",
"updated_at": "<string>",
"deleted_at": "<string>",
"slug": "<string>",
"group_by_alert_title": true,
"group_by_alert_urgency": true,
"targets": [
{
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"attributes": [
{
"json_path": "<string>"
}
],
"conditions": [
{
"property_field_name": "<string>",
"property_field_value": "<string>",
"property_field_values": [
"<string>"
],
"values": [
{
"record_id": "<string>",
"record_type": "<string>"
}
],
"alert_urgency_ids": [
"<string>"
],
"conditionable_type": "AlertField",
"conditionable_id": "<string>"
}
]
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Resource UUID
Was this page helpful?
⌘I
Retrieves an alert group
curl --request GET \
--url https://api.rootly.com/v1/alert_groups/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"type": "alert_groups",
"attributes": {
"name": "<string>",
"description": "<string>",
"condition_type": "<string>",
"time_window": 123,
"created_at": "<string>",
"updated_at": "<string>",
"deleted_at": "<string>",
"slug": "<string>",
"group_by_alert_title": true,
"group_by_alert_urgency": true,
"targets": [
{
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"attributes": [
{
"json_path": "<string>"
}
],
"conditions": [
{
"property_field_name": "<string>",
"property_field_value": "<string>",
"property_field_values": [
"<string>"
],
"values": [
{
"record_id": "<string>",
"record_type": "<string>"
}
],
"alert_urgency_ids": [
"<string>"
],
"conditionable_type": "AlertField",
"conditionable_id": "<string>"
}
]
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}